//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Recording {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x48621C9FCA3EBD28<br />
/// </para>
/// </remarks>
public static void ReplayStartEvent(int p0){
Function.Call((Hash)0x48621C9FCA3EBD28uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x81CBAE94390F9F89<br />
/// </para>
/// </remarks>
public static void ReplayStopEvent(){
Function.Call((Hash)0x81CBAE94390F9F89uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x13B350B8AD0EEE10<br />
/// </para>
/// </remarks>
public static void ReplayCancelEvent(){
Function.Call((Hash)0x13B350B8AD0EEE10uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x293220DA1B46CEBC<br />
/// </para>
/// </remarks>
public static void ReplayRecordBackForTime(float p0, float p1, int p2){
Function.Call((Hash)0x293220DA1B46CEBCuL, p0, p1, p2);
}

/// <summary>
/// -This function appears to be deprecated/ unused. Tracing the call internally leads to a _nullsub -<br /><br />first one seems to be a string of a mission name, second one seems to be a bool/toggle<br /><br />p1 was always 0.<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x208784099002BC30<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void ReplayCheckForEventThisFrame(string missionNameLabel, int /* bug: Any */ p1){
Function.Call((Hash)0x208784099002BC30uL, missionNameLabel, p1);
}

/// <summary>
/// This disable the recording feature and has to be called every frame.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEB2D525B57F42B40<br />
/// </para>
/// </remarks>
public static void ReplayPreventRecordingThisFrame(){
Function.Call((Hash)0xEB2D525B57F42B40uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF854439EFBB3B583<br />
/// </para>
/// </remarks>
public static void ReplayResetEventInfo(){
Function.Call((Hash)0xF854439EFBB3B583uL);
}

/// <summary>
/// This will disable the ability to make camera changes in R* Editor.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAF66DCEE6609B148<br />
/// </para>
/// </remarks>
public static void ReplayDisableCameraMovementThisFrame(){
Function.Call((Hash)0xAF66DCEE6609B148uL);
}

/// <summary>
/// Does nothing (it&apos;s a nullsub).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x66972397E0757E7A<br />
/// </para>
/// </remarks>
public static void RecordGreatestMoment(int p0, int p1, int p2){
Function.Call((Hash)0x66972397E0757E7AuL, p0, p1, p2);
}

/// <summary>
/// Starts recording a replay.<br />If mode is 0, turns on action replay.<br />If mode is 1, starts recording.<br />If already recording a replay, does nothing.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC3AC2FFF9612AC81<br />
/// </para>
/// </remarks>
public static void StartReplayRecording(int mode){
Function.Call((Hash)0xC3AC2FFF9612AC81uL, mode);
}

/// <summary>
/// Stops recording and saves the recorded clip.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x071A5197D6AFC8B3<br />
/// </para>
/// </remarks>
public static void StopReplayRecording(){
Function.Call((Hash)0x071A5197D6AFC8B3uL);
}

/// <summary>
/// Stops recording and discards the recorded clip.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x88BB3507ED41A240<br />
/// </para>
/// </remarks>
public static void CancelReplayRecording(){
Function.Call((Hash)0x88BB3507ED41A240uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x644546EC5287471B<br />
/// </para>
/// </remarks>
public static bool SaveReplayRecording(){
return Function.Call<bool>((Hash)0x644546EC5287471BuL);
}

/// <summary>
/// Checks if you&apos;re recording, returns TRUE when you start recording (F1) or turn on action replay (F2)<br /><br />mov al, cs:g_bIsRecordingGameplay // byte_141DD0CD0 in b944<br />retn
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1897CA71995A90B4<br />
/// </para>
/// </remarks>
public static bool IsReplayRecording(){
return Function.Call<bool>((Hash)0x1897CA71995A90B4uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDF4B952F7D381B95<br />
/// </para>
/// </remarks>
public static bool IsReplayInitialized(){
return Function.Call<bool>((Hash)0xDF4B952F7D381B95uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4282E08174868BE3<br />
/// </para>
/// </remarks>
public static bool IsReplayAvailable(){
return Function.Call<bool>((Hash)0x4282E08174868BE3uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Recording<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x33D47E85B476ABCD<br />
/// </para>
/// </remarks>
public static bool IsReplayRecordSpaceAvailable(bool p0){
return Function.Call<bool>((Hash)0x33D47E85B476ABCDuL, p0);
}

}}
